/*!
 * modernizr v3.3.1
 * Build http://modernizr.com/download?-boxshadow-setclasses-dontmin
 *
 * Copyright (c)
 *  Faruk Ates
 *  Paul Irish
 *  Alex Sexton
 *  Ryan Seddon
 *  Patrick Kettner
 *  Stu Cox
 *  Richard Herrera
 * MIT License
 */
(function(n,t,i){function o(n,t){return typeof n===t}function g(){var i,n,u,f,e,s,t;for(var c in h)if(h.hasOwnProperty(c)){if(i=[],n=h[c],n.name&&(i.push(n.name.toLowerCase()),n.options&&n.options.aliases&&n.options.aliases.length))for(u=0;u<n.options.aliases.length;u++)i.push(n.options.aliases[u].toLowerCase());for(f=o(n.fn,"function")?n.fn():n.fn,e=0;e<i.length;e++)s=i[e],t=s.split("."),t.length===1?r[t[0]]=f:(!r[t[0]]||r[t[0]]instanceof Boolean||(r[t[0]]=new Boolean(r[t[0]])),r[t[0]][t[1]]=f),w.push((f?"":"no-")+t.join("-"))}}function nt(n){var t=f.className,i=r._config.classPrefix||"",u;c&&(t=t.baseVal);r._config.enableJSClass&&(u=new RegExp("(^|\\s)"+i+"no-js(\\s|$)"),t=t.replace(u,"$1"+i+"js$2"));r._config.enableClasses&&(t+=" "+i+n.join(" "+i),c?f.className.baseVal=t:f.className=t)}function tt(n,t){return!!~(""+n).indexOf(t)}function s(){return typeof t.createElement!="function"?t.createElement(arguments[0]):c?t.createElementNS.call(t,"http://www.w3.org/2000/svg",arguments[0]):t.createElement.apply(t,arguments)}function it(n){return n.replace(/([a-z])-([a-z])/g,function(n,t,i){return t+i.toUpperCase()}).replace(/^-/,"")}function rt(n,t){return function(){return n.apply(t,arguments)}}function ut(n,t,i){var r;for(var u in n)if(n[u]in t)return i===!1?n[u]:(r=t[n[u]],o(r,"function"))?rt(r,i||t):r;return!1}function b(n){return n.replace(/([A-Z])/g,function(n,t){return"-"+t.toLowerCase()}).replace(/^ms-/,"-ms-")}function ft(){var n=t.body;return n||(n=s(c?"svg":"body"),n.fake=!0),n}function et(n,i,r,u){var c="modernizr",o,a,l,v,h=s("div"),e=ft();if(parseInt(r,10))while(r--)l=s("div"),l.id=u?u[r]:c+(r+1),h.appendChild(l);return o=s("style"),o.type="text/css",o.id="s"+c,(e.fake?e:h).appendChild(o),e.appendChild(h),o.styleSheet?o.styleSheet.cssText=n:o.appendChild(t.createTextNode(n)),h.id=c,e.fake&&(e.style.background="",e.style.overflow="hidden",v=f.style.overflow,f.style.overflow="hidden",f.appendChild(e)),a=i(h,n),e.fake?(e.parentNode.removeChild(e),f.style.overflow=v,f.offsetHeight):h.parentNode.removeChild(h),!!a}function ot(t,r){var f=t.length,u;if("CSS"in n&&"supports"in n.CSS){while(f--)if(n.CSS.supports(b(t[f]),r))return!0;return!1}if("CSSSupportsRule"in n){for(u=[];f--;)u.push("("+b(t[f])+":"+r+")");return u=u.join(" or "),et("@supports ("+u+") { #modernizr { position: absolute; } }",function(n){return getComputedStyle(n,null).position=="absolute"})}return i}function st(n,t,r,f){function l(){a&&(delete u.style,delete u.modElem)}var c,a,h,v,e,y,p;if(f=o(f,"undefined")?!1:f,!o(r,"undefined")&&(c=ot(n,r),!o(c,"undefined")))return c;for(p=["modernizr","tspan"];!u.style;)a=!0,u.modElem=s(p.shift()),u.style=u.modElem.style;for(v=n.length,h=0;h<v;h++)if(e=n[h],y=u.style[e],tt(e,"-")&&(e=it(e)),u.style[e]!==i){if(f||o(r,"undefined"))return l(),t=="pfx"?e:!0;try{u.style[e]=r}catch(w){}if(u.style[e]!=y)return l(),t=="pfx"?e:!0}return l(),!1}function k(n,t,i,r,u){var f=n.charAt(0).toUpperCase()+n.slice(1),e=(n+" "+v.join(f+" ")+f).split(" ");return o(t,"string")||o(t,"undefined")?st(e,t,r,u):(e=(n+" "+y.join(f+" ")+f).split(" "),ut(e,t,i))}function d(n,t,r){return k(n,i,i,t,r)}var w=[],h=[],e={_version:"3.3.1",_config:{classPrefix:"",enableClasses:!0,enableJSClass:!0,usePrefixes:!0},_q:[],on:function(n,t){var i=this;setTimeout(function(){t(i[n])},0)},addTest:function(n,t,i){h.push({name:n,fn:t,options:i})},addAsyncTest:function(n){h.push({name:null,fn:n})}},r=function(){},f,c,a,v,y,p,u,l;r.prototype=e;r=new r;f=t.documentElement;c=f.nodeName.toLowerCase()==="svg";a="Moz O ms Webkit";v=e._config.usePrefixes?a.split(" "):[];e._cssomPrefixes=v;y=e._config.usePrefixes?a.toLowerCase().split(" "):[];e._domPrefixes=y;p={elem:s("modernizr")};r._q.push(function(){delete p.elem});u={style:p.elem.style};r._q.unshift(function(){delete u.style});e.testAllProps=k;e.testAllProps=d;
/*!
{
  "name": "Box Shadow",
  "property": "boxshadow",
  "caniuse": "css-boxshadow",
  "tags": ["css"],
  "knownBugs": [
    "WebOS false positives on this test.",
    "The Kindle Silk browser false positives"
  ]
}
!*/
for(r.addTest("boxshadow",d("boxShadow","1px 1px",!0)),g(),nt(w),delete e.addTest,delete e.addAsyncTest,l=0;l<r._q.length;l++)r._q[l]();n.Modernizr=r})(window,document);